    import {DeepLearningRegression} from 'tensorscript-node/lib/regression.mjs'

public class | source

# DeepLearningRegression

#### Extends:

lib/deep_learning.js~BaseNeuralNetwork → DeepLearningRegression

#### Implements:

- BaseNeuralNetwork

Deep Learning Regression with Tensorflow

#### Test:

- DeepLearningRegression

## Constructor Summary

Public Constructor
public | constructor(options: {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String}, properties: *) |

## Member Summary

Public Members
public | layers |

## Method Summary

Public Methods
public | generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>) Adds dense layers to tensorflow regression model |

## Public Constructors

### public constructor(options: {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String}, properties: *) source

#### Params:

Name | Type | Attribute | Description
options | {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String} |  | neural network configuration and tensorflow model hyperparameters
properties | * |  | extra instance properties

#### Test:

- DeepLearningRegression constructor

## Public Members

### public layers source

## Public Methods

### public generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>) source

Adds dense layers to tensorflow regression model

#### Params:

Name | Type | Attribute | Description
x_matrix | Array<Array<number>> |  | independent variables
y_matrix | Array<Array<number>> |  | dependent variables
layers | Array<Object> |  | model dense layer parameters

#### Test:

- DeepLearningRegression generateLayers